Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693817 - Errors when submitting VM action from global region
Summary: Errors when submitting VM action from global region
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.2
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.3
Assignee: Yuri Rudman
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1689330
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 17:10 UTC by Satoe Imaishi
Modified: 2019-04-09 20:39 UTC (History)
5 users (show)

Fixed In Version: 5.10.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1689330
Environment:
Last Closed:
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2019-03-29 17:46:19 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/d4d38a41bf646f213ce4b513ab7c268e33ba7f4b
commit d4d38a41bf646f213ce4b513ab7c268e33ba7f4b
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Mar 28 11:22:41 2019 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Thu Mar 28 11:22:41 2019 -0400

    Merge pull request #18565 from yrudman/invoke_task_remote-should-not-send-success-if-invocation-failed

    ProcessTasksMixinin.invoke_tasks_remote should not send AuditEvent(:success) if invocation failed

    (cherry picked from commit 047ef4cbc0e564988e3a93de73d6f16e85e456fb)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693817

 app/models/mixins/process_tasks_mixin.rb | 43 +-
 spec/models/mixins/process_tasks_mixin_spec.rb | 110 +-
 2 files changed, 127 insertions(+), 26 deletions(-)

Comment 3 Tasos Papaioannou 2019-04-03 19:04:03 UTC
Verified on 5.10.3.0.


Note You need to log in before you can comment on or make changes to this bug.